.ls-slider {
    position: relative;
    width: 100%;
    overflow: hidden;
}

.ls-track {
    position: relative;
    width: 100%;
    height: 100%;
}

.ls-track.flex{
    display:flex;
    align-items:stretch;
}

.ls-slide {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    transition: opacity 0.6s ease;
    width: 100%;
    height: 100%;
    pointer-events: none;
    display: flex;
}

.ls-slide.activo {
    opacity: 1;
    pointer-events: auto;
    z-index: 2;
}

.ls-media{
    position:relative;
    overflow:hidden;
}

.ls-media img{
    position:absolute;
    inset:0;
    object-fit:cover;
    opacity:0;
    transition:opacity .8s ease;
    object-position:center center;
    pointer-events:none;
    height:100%;
    width:100%;
}

.ls-media img.activo{
    opacity:1;
}

/* =========================
   TIPOS DE LAYOUT
========================= */

/* HERO (imagen full + overlay) */
.ls-layout-hero {
    flex-direction: column;    
    overflow: hidden;
}

.ls-layout-hero .ls-media {
    position: absolute;
    inset: 0;
    overflow: hidden;
}
.ls-layout-hero .ls-media img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.ls-layout-hero .ls-contenido {   
    z-index: 2;
    position: absolute;
    top: 50%;
    left: 10%;
    transform: translateY(-50%);
    max-width: 750px;
    color: #fff;
}

.ls-layout-hero .ls-contenido h1 {
    font-size: 3rem;
    font-weight: 700;
}

.ls-layout-hero .ls-contenido h2 {
    font-size: 2rem;
    font-style: italic;
}

.ls-layout-hero .ls-contenido p {
    font-size: 1.2rem;
    margin-top: 10px;
    color :var(--color-light);
}

.ls-layout-hero .ls-pie  {
    position: absolute;
    bottom: 40px;
    left: 50%;
    transform: translateX(-50%);
    color: var(--color-light);
    width: 80%;
    margin: 0 auto;
    font-family: 'Noto Sans', sans-serif;
    font-weight: 200;
    font-size: 3vw;
    letter-spacing: 2.4vw;
    line-height: .9;
    text-align: center;
    text-transform: uppercase;
    white-space: nowrap;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
}

.ls-layout-apilado {
    flex-direction: column;
}

.ls-layout-apilado .ls-media {
    width: 100%;
    flex: 1 1 auto;
    overflow: hidden;
    position: relative;
}

.ls-layout-apilado .ls-contenido {   
    z-index: 2;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateY(-50%) translateX(-50%);
    max-width: 750px;
    color: #fff;
}

.ls-layout-apilado .ls-contenido h2 {
    font-size: 3rem;
    font-weight: 700;
}

.ls-layout-apilado .ls-separador {
    width: 100%;
    height: 40px;
    background: var(--bg-dark, #111);

}

.ls-layout-apilado .ls-pie {   
    text-align: center;
    position: relative;
    padding-bottom: 10px;
    font-size: 1.2rem;
    color:var(--color-dark);
}

/* MEDIA + TEXTO */
.ls-layout-media-texto {
    flex-direction: row;
    width: 60%;
}

.ls-layout-media-texto .ls-media {
    width: 60%;
    flex: 1 1 auto;
    overflow: hidden;
    position: relative;
}

.ls-layout-media-texto .ls-contenido {
    z-index: 2;
    width: 100%;
    position: absolute;
    top: 10%;
    left: 10%;
    transform: translateY(-50%);
    max-width: 750px;
    color: #fff;
}
.ls-layout-media-texto .ls-titulo {
    position: absolute;
    top: 10%;
    left: 10%;    
    font-size: 2rem;
    z-index: 5;
    text-align: center;
    color: #fff;
    text-shadow: 0 3px 12px rgba(0,0,0,0.6);
    padding: 0 1rem;
}

/* =========================
   DOTS
========================= */
.ls-dots {
    position: absolute;
    z-index: 20;
    display: flex;
    gap: 10px;
}
.ls-dot {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background: rgba(255,255,255,0.4);
    cursor: pointer;
}
.ls-dots--h-bottom-left {
    bottom: 10%;
    left: 10%;
    flex-direction: row;
}
.ls-dots--v-center-right {
    right: 10%;
    top: 50%;
    transform: translateY(-50%);
    flex-direction: column;
}
.ls-dots--v-center-left {
    left: 10%;
    top: 50%;
    transform: translateY(-50%);
    flex-direction: column;
}
.ls-dot.activo {
    background: #fff;
}

.ls-nav {
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin: 1rem 0;
    position: relative;
    
    z-index: 5;
    max-height: 100%;
    overflow-y: auto;
    overflow-x: hidden;
    scroll-behavior: smooth;
}
.ls-nav-item {
    display: flex;
    flex-direction: column;
    position: relative;        
    color: var(--color-primary);
    transition: color 0.3s ease;
}
.ls-nav-item a {
    display: flex;
    align-items: center;
    width: 100%;    
    text-decoration: none;
    color: inherit;
}
.ls-nav-item.activo {
    color: var(--color-turquesa);
}

.ls-nav-item.activo svg {
    opacity: 1;
    transform: scale(1.2);
}
.ls-nav-expand {
    position: relative;
    left: 0;
    top: 100%;
    width: 100%;
    z-index: 10;
    max-height: 0;
    overflow: hidden;
    transition: all 0.3s ease;
}

.ls-nav-item.activo .ls-nav-expand {
    max-height: 200px; /* o auto si prefieres sin transición suave */
    opacity: 1;
    transform: translateY(0);
}

@media (max-width: 768px) {
    .ls-layout-apilado .ls-contenido h2 {
        font-size: 2rem;
        font-weight: 700;
    }
}